# Complete micro-deposits

Complete the micro-deposit validation process by passing the amounts of the two transfers within three tries.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/bank-accounts.write` scope.

PUT

/accounts/{accountID}/bank-accounts/{bankAccountID}/micro-deposits

## Ask

```shell
curl -X PUT "https://api.moov.io/accounts/{accountID}/bank-accounts/{bankAccountID}/micro-deposits" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00" \
  -d '{
  "amounts": [\
    18,\
    21\
  ]
}'
```

## Ask

```go
mc, _ := moov.NewClient()

var accountID string
var bankAccountID string
amounts := []int{18, 21}

mc.MicroDepositConfirm(ctx, accountID, bankAccountID, amounts)
```

## Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.bankAccounts.completeMicroDeposits({
    accountID: "af0efd2b-a1fa-40fd-998b-2007b8df0766",
    bankAccountID: "b468e916-699b-4590-becf-ede76d1413cb",
    completeMicroDeposits: {
      amounts: [\
        18,\
        21,\
      ],
    },
  });

console.log(result);
}

run();
```

## Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\
